Get agent details
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents/{agentName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents/{agentName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "voice-starter",
"region": "us-west",
"ready": true,
"available": true,
"createdAt": "2025-04-19T01:20:27.564Z",
"updatedAt": "2025-04-19T01:25:47.229Z",
"desiredDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"activeDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"reconciledDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"activeDeploymentReady": true,
"autoScaling": {
"maxReplicas": 10,
"minReplicas": 1
},
"activeSessionCount": 0,
"agentProfile": "agent-1x",
"deployment": {
"id": "19db578d-808c-420a-a047-87edde4410c1",
"manifest": {
"apiVersion": "pipecatcloud.daily.co/v1",
"kind": "PCService",
"metadata": {
"name": "voice-starter",
"namespace": "tiny-ferret-maroon-123"
},
"spec": {
"dailyNodeType": "arm",
"image": "your-dockername/voice-starter:0.1",
"autoScaling": {
"minReplicas": 1,
"maxReplicas": 10
},
"imagePullSecretName": "dockerhub-credentials",
"envFromSecretNames": [
"voice-starter-secrets"
],
"resources": {
"cpu": "500m",
"memory": "1Gi"
},
"krispModels": {
"enabled": false
},
"krispViva": {
"audioFilters": true
},
"maxSessionDurationSeconds": 3600
}
},
"serviceId": "b59a68ee-61c8-4d99-9ceb-e99a3953bdac",
"createdAt": "2025-04-19T01:25:47.225Z",
"updatedAt": "2025-04-19T01:25:47.225Z"
},
"krispViva": {
"audioFilter": "tel"
},
"currentRevision": {
"deploymentID": "19db578d-808c-420a-a047-87edde4410c1",
"phase": "Active",
"readyReplicas": 1,
"phaseStartedAt": "2025-04-19T01:26:00.000Z",
"health": {
"ready": true,
"state": "running",
"restartCount": 0,
"replicasStarted": 1
}
},
"previousRevision": null
}{
"error": "Not found",
"code": "404"
}{
"error": "Internal server error",
"code": "500"
}Get Agent Details
GET /agents/ returns details for one Pipecat Cloud agent, including its deployment status and configuration.
GET
/
agents
/
{agentName}
Get agent details
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents/{agentName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents/{agentName}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "voice-starter",
"region": "us-west",
"ready": true,
"available": true,
"createdAt": "2025-04-19T01:20:27.564Z",
"updatedAt": "2025-04-19T01:25:47.229Z",
"desiredDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"activeDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"reconciledDeploymentId": "19db578d-808c-420a-a047-87edde4410c1",
"activeDeploymentReady": true,
"autoScaling": {
"maxReplicas": 10,
"minReplicas": 1
},
"activeSessionCount": 0,
"agentProfile": "agent-1x",
"deployment": {
"id": "19db578d-808c-420a-a047-87edde4410c1",
"manifest": {
"apiVersion": "pipecatcloud.daily.co/v1",
"kind": "PCService",
"metadata": {
"name": "voice-starter",
"namespace": "tiny-ferret-maroon-123"
},
"spec": {
"dailyNodeType": "arm",
"image": "your-dockername/voice-starter:0.1",
"autoScaling": {
"minReplicas": 1,
"maxReplicas": 10
},
"imagePullSecretName": "dockerhub-credentials",
"envFromSecretNames": [
"voice-starter-secrets"
],
"resources": {
"cpu": "500m",
"memory": "1Gi"
},
"krispModels": {
"enabled": false
},
"krispViva": {
"audioFilters": true
},
"maxSessionDurationSeconds": 3600
}
},
"serviceId": "b59a68ee-61c8-4d99-9ceb-e99a3953bdac",
"createdAt": "2025-04-19T01:25:47.225Z",
"updatedAt": "2025-04-19T01:25:47.225Z"
},
"krispViva": {
"audioFilter": "tel"
},
"currentRevision": {
"deploymentID": "19db578d-808c-420a-a047-87edde4410c1",
"phase": "Active",
"readyReplicas": 1,
"phaseStartedAt": "2025-04-19T01:26:00.000Z",
"health": {
"ready": true,
"state": "running",
"restartCount": 0,
"replicasStarted": 1
}
},
"previousRevision": null
}{
"error": "Not found",
"code": "404"
}{
"error": "Internal server error",
"code": "500"
}Authorizations
Response
Agent details retrieved successfully
Whether the agent can accept new sessions. True when any pods are ready to handle traffic, or when scaled to zero but healthy (requests will queue and trigger scale-up). During rolling updates, this may be true even if ready is false, as old pods continue serving while new ones validate.